Bug 974403 - RFE: LevelDB cache store support
RFE: LevelDB cache store support
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: DR4
: 6.2.0
Assigned To: Tristan Tarrant
nobody nobody
:
Depends On:
Blocks: 975081 974409 974411
  Show dependency treegraph
 
Reported: 2013-06-14 03:12 EDT by Takayoshi Kimura
Modified: 2014-03-17 00:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
standalone.xml with LevelDB cachestore (9.99 KB, text/xml)
2013-06-17 10:11 EDT, Tristan Tarrant
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2657 Major Resolved Support for LevelDB CacheStore 2015-11-02 21:23 EST

  None (edit)
Comment 1 Tristan Tarrant 2013-06-16 16:43:56 EDT
Built in Brew/MEAD:

https://brewweb.devel.redhat.com/taskinfo?taskID=5909632

The server itself is http://download.devel.redhat.com/brewroot/work/tasks/9632/5909632/com/jboss/datagrid/jboss-datagrid-server/6.1.0.GA-redhat-2/jboss-datagrid-server-6.1.0.GA-redhat-2.zip

Add

- leveldb-0.6.jar in modules/org/iq80/leveldb/main
- leveldb-api-0.6.jar in modules/org/iq80/leveldb/api/main

modify the respective module.xml to include those jars in the resources, e.g.:

<resources>
        <resource-root path="leveldb-0.6.jar"/>
        <!-- Insert resources here -->
</resources>

Add the following to a cache definition in standalone.xml to configure the database

<store class="org.infinispan.loaders.leveldb.LevelDBCacheStore">
<property name="location" value="/path/to/leveldb/data" />
</store>
Comment 2 Tristan Tarrant 2013-06-17 10:11:00 EDT
Created attachment 762038 [details]
standalone.xml with LevelDB cachestore
Comment 5 Martin Gencur 2013-09-16 07:13:49 EDT
This feature has been developed for JDG 6.2 DR4. So I'm setting this to VERIFIED even though mlinhard found some issues, which stay open:

https://bugzilla.redhat.com/show_bug.cgi?id=1007947 EntrySet operation 
in cache with LevelDB store ignores expiration
https://bugzilla.redhat.com/show_bug.cgi?id=1007756 LevelDB Cache store 
in server doesn't keep data between restarts

Note You need to log in before you can comment on or make changes to this bug.